incubator-flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alex Harui <aha...@adobe.com>
Subject Re: Pixel Bender and broken build (on OSX)
Date Thu, 30 Aug 2012 15:08:55 GMT



On 8/30/12 4:54 AM, "olegsivokon@gmail.com" <olegsivokon@gmail.com> wrote:

> Hello,
> This is perhaps an old thread, but this is the only one that mentions
> pbutil. So, I'll ask here.
> 
> I'm trying to build the SDK on Linux, and it wants me to have this
> file in the PIXELBENDER_HOME - I don't have it, and can't find where
> to download it from.
> 
> But secondly, seriously... why PixelBender is at all a mandatory
> requirement? I never used it, and am not going to. It does not work
> for me at all on any chip, nor AMD neither NVidia (didn't try Intell
> or Matrox, but I wouldn't believe in miracles...) what's the point of
> making it a requirement? Can it just fail silently and let the rest of
> the build continue or be excluded at all, if PixelBender is not
> installed?
There are some default pbj files in the SDK in order to achieve "parity".
They have to be generated from source.  Feel free to find a way around it.

> 
> It would be also cool, if AIR was not a requirement either, and was an
> opt-in for the build, because, obviously, there's nothing you can do
> with it on Linux...
Those of you using Linux are welcome to propose ways to get around these
requirements.
> 
> Also, what's the plan regarding the player? Adobe dropped all support
> since 11.2. Will you drop Linux support in the next version as well?
> If not, how are you going to compile that, when there's no
> corresponding player?
Again, those of you using Linux will have to take responsibility for making
sure things work to your satisfaction.
> 
-- 
Alex Harui
Flex SDK Team
Adobe Systems, Inc.
http://blogs.adobe.com/aharui


Mime
View raw message